package com.lanyuanxiaoyao.service.configuration.exception;

import cn.hutool.core.util.StrUtil;

/**
 * Hudi 服务异常
 *
 * @author lanyuanxiaoyao
 * @date 2023-07-06
 */
public class HudiServiceException extends Exception {
    public HudiServiceException(String serviceName) {
        super(StrUtil.format("[{}] cause exception", serviceName));
    }

    public HudiServiceException(String serviceName, String message) {
        super(StrUtil.format("[{}] {}", serviceName, message));
    }

    public HudiServiceException(String serviceName, String message, Throwable cause) {
        super(StrUtil.format("[{}] {}", serviceName, message), cause);
    }

    public HudiServiceException(String serviceName, Throwable cause) {
        super(StrUtil.format("[{}] cause exception"), cause);
    }
}
